Skip to content

Streaming Speech-To-Text API Documentation (v1)

Rev AI Streaming Speech-To-Text API Documentation

Download OpenAPI description
Languages
Servers
Rev AI API
https://api.rev.ai
Mock server
https://docs.rev.ai/_mock/api/custom-vocabulary/reference

Vocabularies

Operations

Submit Custom Vocabulary

Request

Submits a Custom Vocabulary for asynchronous processing.

Security
AccessToken
Bodyapplication/jsonrequired

Custom Vocabulary Definition

metadatastring or null<= 512 characters

Optional metadata that was provided during submission

Example: "sample metadata"
notification_configobject or null

Optional configuration for a callback url to invoke when processing is complete, in addition to auth headers if they are needed to invoke the callback url. Cannot be set if callback_url is set. This option will not be visible in the submission response.

strictboolean

If true, only exact phrases will be used as custom vocabulary, i.e. phrases will not be split into individual words for processing. By default is enabled.

Example: true
custom_vocabulariesArray of objects[ 1 .. 50 ] itemsrequired
custom_vocabularies[].​phrasesArray of strings[ 1 .. 6000 ] itemsrequired

Array of phrases not found in normal dictionary. Add technical jargon, proper nouns and uncommon phrases as strings in this array to add them to the lexicon for this job.

A phrase must contain at least 1 alpha character but may contain any non-numeric character from the Basic Latin set. A phrase can contain up to 12 words. Each word can contain up to 34 characters.

Note: Only 6000 phrases can be used per transcription job. For more details, check Custom Vocabularies.

Example: ["Paul McCartney","Amelia Earhart","Weiss-Bergman","BLM"]
callback_urlstring or null<= 1024 charactersDeprecated

Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.

Example: "https://www.example.com/callback"
curl -i -X POST \
  https://api.rev.ai/vocabularies \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "metadata": "example metadata",
    "notification_config": {
      "url": "https://www.example.com/callback",
      "auth_headers": {
        "Authorization": "Bearer <token>"
      }
    },
    "custom_vocabularies": [
      {
        "phrases": [
          "Paul McCartney",
          "Amelia Earhart",
          "Weiss-Bergman",
          "BLM"
        ]
      }
    ]
  }'

Responses

Custom Vocabulary Job Details

Bodyapplication/json
idstring

Id of the Custom Vocabulary

Example: "cvUmx5c6F7pH7r"
statusstring

Current status of the custom vocabulary

Enum"in_progress""complete""failed"
Example: "in_progress"
created_onstring(dateTime)

The date and time the custom vocabulary was submitted in ISO-8601 UTC form

Example: "2018-05-05T23:23:22.29Z"
completed_onstring or null(dateTime)

The date and time the custom vocabulary was completed on, whether successful or failure, in ISO-8601 UTC form

Example: "2018-05-05T23:28:22.29Z"
metadatastring or null<= 512 characters

Optional metadata that was provided during custom vocabulary submission

Example: "sample metadata"
failurestring or null

Simple reason of why the transcription job failed. Check failure_detail for specific details and solutions

Value"internal_processing"
Example: "internal_processing"
failure_detailstring or null

Human-readable reason why the job failed

Example: "Failed to process. Please check your url and file type"
callback_urlstring or null<= 1024 charactersDeprecated

Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.

Example: "https://www.example.com/callback"
Response
application/json
{ "id": "cvUmx5c6F7pH7r", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "callback_url": "https://www.example.com/callback" }

Get List of Custom Vocabularies

Request

Gets a list of most recent custom vocabularies' processing information

Security
AccessToken
Query
limitinteger[ 0 .. 1000 ]

Limits the number of custom vocabulary details returned, default is 100, max is 1000

curl -i -X GET \
  'https://api.rev.ai/vocabularies?limit=1000' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of Custom Vocabularies' Processing Details

Bodyapplication/jsonArray [
idstring

Id of the Custom Vocabulary

Example: "cvUmx5c6F7pH7r"
statusstring

Current status of the custom vocabulary

Enum"in_progress""complete""failed"
Example: "in_progress"
created_onstring(dateTime)

The date and time the custom vocabulary was submitted in ISO-8601 UTC form

Example: "2018-05-05T23:23:22.29Z"
completed_onstring or null(dateTime)

The date and time the custom vocabulary was completed on, whether successful or failure, in ISO-8601 UTC form

Example: "2018-05-05T23:28:22.29Z"
metadatastring or null<= 512 characters

Optional metadata that was provided during custom vocabulary submission

Example: "sample metadata"
failurestring or null

Simple reason of why the transcription job failed. Check failure_detail for specific details and solutions

Value"internal_processing"
Example: "internal_processing"
failure_detailstring or null

Human-readable reason why the job failed

Example: "Failed to process. Please check your url and file type"
callback_urlstring or null<= 1024 charactersDeprecated

Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.

Example: "https://www.example.com/callback"
]
Response
application/json
[ { "id": "cvUmx5c6F7pH7r", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "callback_url": "https://www.example.com/callback" }, { "id": "cvx5c6F7pcvUmH", "status": "complete", "created_on": "2018-05-05T23:23:22.29Z", "completed_on": "2018-05-05T23:45:13.41Z", "callback_url": "https://www.example.com/callback" }, { "id": "cv6F7aspH7rUmx", "status": "failed", "created_on": "2018-05-05T23:23:22.29Z", "completed_on": "2018-05-05T23:23:24.11Z", "failure": "internal_processing", "failure_detail": "Internal processing failure" } ]

Get Custom Vocabulary

Request

Gets the custom vocabulary processing information

Security
AccessToken
Path
idstringrequired

Id of a custom vocabulary

curl -i -X GET \
  'https://api.rev.ai/vocabularies/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Custom Vocabulary Job Details

Bodyapplication/json
idstring

Id of the Custom Vocabulary

Example: "cvUmx5c6F7pH7r"
statusstring

Current status of the custom vocabulary

Enum"in_progress""complete""failed"
Example: "in_progress"
created_onstring(dateTime)

The date and time the custom vocabulary was submitted in ISO-8601 UTC form

Example: "2018-05-05T23:23:22.29Z"
completed_onstring or null(dateTime)

The date and time the custom vocabulary was completed on, whether successful or failure, in ISO-8601 UTC form

Example: "2018-05-05T23:28:22.29Z"
metadatastring or null<= 512 characters

Optional metadata that was provided during custom vocabulary submission

Example: "sample metadata"
failurestring or null

Simple reason of why the transcription job failed. Check failure_detail for specific details and solutions

Value"internal_processing"
Example: "internal_processing"
failure_detailstring or null

Human-readable reason why the job failed

Example: "Failed to process. Please check your url and file type"
callback_urlstring or null<= 1024 charactersDeprecated

Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.

Example: "https://www.example.com/callback"
Response
application/json
{ "id": "cvUmx5c6F7pH7r", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "callback_url": "https://www.example.com/callback" }

Delete Custom Vocabulary

Request

Deletes a custom vocabulary. All data related to the custom vocabulary, such as webhooks and metadata, will be permanently deleted. A custom vocabulary can only be deleted once it's completed (either with success or failure).

Security
AccessToken
Path
idstringrequired

Id of a custom vocabulary

curl -i -X DELETE \
  'https://api.rev.ai/vocabularies/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Custom vocabulary was successfully deleted

Response
No content